import java.awt.*;

public class Flower
{
    /* Klassvariabler - Egenskaper som gller fr alla blommor. */
    private static double growthFactor = 0.25;
    private static final int DEF_LEAVS = 7;
    private static final double DEF_HEIGHT = 5;


    /* Instansvariabler - Egenskaper som skiljer sig mellan blommorna. */
    private Color color;
    private int leavs;
    private double height;
    private Smell smell;

    /* Konstruktorer */
    public Flower()
    {
        this(Color.RED, DEF_LEAVS, DEF_HEIGHT, Smell.NICE);
    }

    public Flower(Color c)
    {
        this(c, DEF_LEAVS, DEF_HEIGHT, Smell.NICE);
    }

    public Flower(Color color, int leavs, double height, Smell smell)
    {
        this.color = color;
        this.leavs = leavs;
        this.height = height;
        this.smell = smell;
    }

    /* Selektorer (selektorer r ocks metoder..) */

    public Smell getSmell()
    {
        return smell;
    }

    public Color getColor()
    {
        return color;
    }

    public double getHeight()
    {
        return height;
    }


    /* Metoder - Frdigheter */

    public void capture(Fly f)
    {
        height += f.getWeight() * growthFactor;
    }

    public String toString()
    {
        return "I am a " + getHeight() +
            "cm tall flower and I smell " + getSmell() + ".";
    }
}
